Uy ubuntu mirror is not in Uruguay is in Brazil and DNS should be changed urgently.

Bug #913158 reported by Pablo Estigarribia on 2012-01-07
24
This bug affects 2 people
Affects Status Importance Assigned to Milestone
update-manager (Ubuntu)
Undecided
Pablo Rubianes

Bug Description

Testing mirrors, most of the times I have to change uy.archive.ubuntu.com to archive.ubuntu.com because this lase one goes faster.
Now in my test uy.archive.ubuntu.com seems to be working quiet normal (sometimes it goes slower than what I show here), but still a bit slower than archive.ubuntu.com:

$ wget http://ubuntu.c3sl.ufpr.br/ubuntu/pool/main/z/zope3/zope3_3.3.1.orig.tar.gz
--2012-01-07 13:58:34-- http://ubuntu.c3sl.ufpr.br/ubuntu/pool/main/z/zope3/zope3_3.3.1.orig.tar.gz
Resolviendo ubuntu.c3sl.ufpr.br... 200.236.31.4, 2801:82:80ff:8000::5
Conectando a ubuntu.c3sl.ufpr.br|200.236.31.4|:80... conectado.
Petición HTTP enviada, esperando respuesta... 200 OK
Longitud: 6582320 (6,3M) [application/x-gzip]
Guardando en: «zope3_3.3.1.orig.tar.gz»

100%[====================================================================================================>] 6.582.320 211K/s en 45s

2012-01-07 13:59:20 (144 KB/s) - «zope3_3.3.1.orig.tar.gz» guardado [6582320/6582320]

wget http://archive.ubuntu.com/ubuntu/pool/main/z/zope3/zope3_3.3.1.orig.tar.gz
--2012-01-07 13:59:34-- http://archive.ubuntu.com/ubuntu/pool/main/z/zope3/zope3_3.3.1.orig.tar.gz
Resolviendo archive.ubuntu.com... 91.189.92.183, 91.189.92.184, 91.189.88.31, ...
Conectando a archive.ubuntu.com|91.189.92.183|:80... conectado.
Petición HTTP enviada, esperando respuesta... 200 OK
Longitud: 6582320 (6,3M) [application/x-gzip]
Guardando en: «zope3_3.3.1.orig.tar.gz.

100%[====================================================================================================>] 6.582.320 239K/s en 36s

2012-01-07 14:00:11 (177 KB/s) - «zope3_3.3.1.orig.tar.gz.1» guardado [6582320/6582320]

Problem could be because there is no server in uruguay (uy.archive.ubuntu.com is on Brasil actually).

I don't know if it is possible to get local repository in Uruguay, I actually not participate in local team. But in my experience actually is better if for Uruguay we use archive.ubuntu.com, it works better than uy.archive.ubuntu.com most of the times.

Cheers.
Pablo.

Pablo Estigarribia (pablodav) wrote :

I have suscribed Ubuntu Uruguay Loco Team, maybe someone else here could confirm this.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in update-manager (Ubuntu):
status: New → Confirmed

I confirm this, we plan to propose the local communication company the possibility to have a mirror here.

Pablo Estigarribia (pablodav) wrote :

Main communication company in Uruguay is antel.com.uy
I think, people in http://www.ubuntu.org.uy/ community could help contact ANTEL.

If you can't contact them, I could try something. (I don't have direct contact, so please try with ubuntu org uy first).
But while we don't have this local mirror, best option could be to redirect uy.archive.ubuntu.com to https://launchpad.net/ubuntu/+mirror/mirror.anl.gov

it works totally better than actual mirror in brazil.

I fogot that I have opened this bug with update-manager related package, and I opened another bug with updates related:
https://bugs.launchpad.net/ubuntu/+source/apt/+bug/1038326

Please have a look there, I have done tests and found this other mirror as the best mirror for Uruguay.

Pablo Estigarribia (pablodav) wrote :

I just have added ubuntu mirror admins Team to this bug, still waiting someone that could change uy.archive.ubuntu.com to the https://launchpad.net/ubuntu/+mirror/mirror.anl.gov as default mirror server for uy.archive.ubuntu.com.

Please change it in DNS!

Some days we can't install anything with actual server going to Brazil. (We have poor connection to Brazil)

summary: - Uy ubuntu mirror is not in Uruguay
+ Uy ubuntu mirror is not in Uruguay is in Brazil and DNS should be
+ changed urgently to miami.

We started the negocitation to have a server un Uruguay, hopefully we will have it soon.

Changed in update-manager (Ubuntu):
assignee: nobody → Pablo Rubianes (pablorubianes-uy)
status: Confirmed → In Progress
Pablo Estigarribia (pablodav) wrote :

Hello Again Pablo,

I don't know if I have explained well my previous message .
I think you or someone else could change the actual uy.archive.ubuntu.com to work with the server in miami https://launchpad.net/ubuntu/+mirror/mirror.anl.gov

This miami server works great for computers in Uruguay (I have tested it with 10 different type of computers and connections from antel.

Could you change this dns to this miami server?
It will solve the problem that we actually have and we will not need the mirror in uruguay.

Jonathan Davies (jpds) wrote :

Hello Pablo,

mirror.anl.gov is not in Miami, and we never randomly point *.archive.u.c domain names at mirrors without prior written approval from their adminstators.

Note that archive.u.c itself is in the UK and the speed difference between that and the Brazil mirror is negliable in my humble opinion. All of South America was pointed at the Brazil university mirror as it was deemed the best connected in the region.

Next steps for solving the problem are:

1) Get a mirror in Uruguay, hosted by a well-connected ISP.
2) Get approval from the mirrors admin to have uy.archive pointed at it.
3) Have the admin write to mirrors at ubuntu dot com with the necessary details about the mirror.

Thanks

Download full text (3.5 KiB)

Hi Jonathan,
I am working on the first point, hope to get a proper connection soon. We
want to have our mirror here.

thanks for the advices!
Pablo

2012/10/17 Jonathan Davies <email address hidden>

> Hello Pablo,
>
> mirror.anl.gov is not in Miami, and we never randomly point
> *.archive.u.c domain names at mirrors without prior written approval
> from their adminstators.
>
> Note that archive.u.c itself is in the UK and the speed difference
> between that and the Brazil mirror is negliable in my humble opinion.
> All of South America was pointed at the Brazil university mirror as it
> was deemed the best connected in the region.
>
> Next steps for solving the problem are:
>
> 1) Get a mirror in Uruguay, hosted by a well-connected ISP.
> 2) Get approval from the mirrors admin to have uy.archive pointed at it.
> 3) Have the admin write to mirrors at ubuntu dot com with the necessary
> details about the mirror.
>
> Thanks
>
> --
> You received this bug notification because you are a bug assignee.
> https://bugs.launchpad.net/bugs/913158
>
> Title:
> Uy ubuntu mirror is not in Uruguay is in Brazil and DNS should be
> changed urgently to miami.
>
> Status in “update-manager” package in Ubuntu:
> In Progress
>
> Bug description:
> Testing mirrors, most of the times I have to change
> uy.archive.ubuntu.com to archive.ubuntu.com because this lase one goes
> faster.
> Now in my test uy.archive.ubuntu.com seems to be working quiet normal
> (sometimes it goes slower than what I show here), but still a bit slower
> than archive.ubuntu.com:
>
>
> $ wget
> http://ubuntu.c3sl.ufpr.br/ubuntu/pool/main/z/zope3/zope3_3.3.1.orig.tar.gz
> --2012-01-07 13:58:34--
> http://ubuntu.c3sl.ufpr.br/ubuntu/pool/main/z/zope3/zope3_3.3.1.orig.tar.gz
> Resolviendo ubuntu.c3sl.ufpr.br... 200.236.31.4, 2801:82:80ff:8000::5
> Conectando a ubuntu.c3sl.ufpr.br|200.236.31.4|:80... conectado.
> Petición HTTP enviada, esperando respuesta... 200 OK
> Longitud: 6582320 (6,3M) [application/x-gzip]
> Guardando en: «zope3_3.3.1.orig.tar.gz»
>
>
> 100%[====================================================================================================>]
> 6.582.320 211K/s en 45s
>
> 2012-01-07 13:59:20 (144 KB/s) - «zope3_3.3.1.orig.tar.gz» guardado
> [6582320/6582320]
>
> wget
> http://archive.ubuntu.com/ubuntu/pool/main/z/zope3/zope3_3.3.1.orig.tar.gz
> --2012-01-07 13:59:34--
> http://archive.ubuntu.com/ubuntu/pool/main/z/zope3/zope3_3.3.1.orig.tar.gz
> Resolviendo archive.ubuntu.com... 91.189.92.183, 91.189.92.184,
> 91.189.88.31, ...
> Conectando a archive.ubuntu.com|91.189.92.183|:80... conectado.
> Petición HTTP enviada, esperando respuesta... 200 OK
> Longitud: 6582320 (6,3M) [application/x-gzip]
> Guardando en: «zope3_3.3.1.orig.tar.gz.
>
>
> 100%[====================================================================================================>]
> 6.582.320 239K/s en 36s
>
> 2012-01-07 14:00:11 (177 KB/s) - «zope3_3.3.1.orig.tar.gz.1» guardado
> [6582320/6582320]
>
>
> Problem could be because there is no server in uruguay (
> uy.archive.ubuntu.com is on Brasil actually).
>
> I don't know if it is p...

Read more...

Pablo Estigarribia (pablodav) wrote :
Download full text (4.9 KiB)

Hello Jonathan,
I have tested a lot both connections and information that I was
investigating was:

for mirror.anl.gov

10 Gbps
Country:
United States

ping info:

ping mirror.anl.gov
PING mirror.anl.gov (146.137.96.7) 56(84) bytes of data.
64 bytes from mirror.anl.gov (146.137.96.7): icmp_req=1 ttl=51 time=242 ms

info from:
http://www.ip-adress.com/ip_tracer/146.137.96.7

146.137.96.7 <http://www.ip-adress.com/ip_addresses/146.137.96.7> IP
address location & more: IP address [? <http://www.ip-adress.com/host/>]:
146.137.96.7 [Whois] <http://www.ip-adress.com/whois/146.137.96.7> [Reverse
IP] <http://www.ip-adress.com/reverse_ip/146.137.96.7> IP country code: USIP
address country: [image: ip address flag] United States IP address state:
Illinois IP address city:Lemont IP postcode:60439 IP address latitude:
41.6815 IP address longitude:-87.9706 ISP of this IP
[?<http://www.ip-adress.com/isp>
]:Argonne National Laboratory Organization: Argonne National LaboratoryHost
of this IP: [? <http://www.ip-adress.com/host>]: mirror.anl.gov
[Whois]<http://www.ip-adress.com/whois/mirror.anl.gov>
 [Trace] <http://www.ip-adress.com/ip_tracer/mirror.anl.gov> Local time in
United States: 2012-10-17 18:47

It is true, is not in miami. Seems to be in Chicago, sorry.

 (I could test others if you want me to do more tests).

Look at actual tracert to uy.archive.ubuntu.com from Uruguay:

Tracing route to 200.236.31.4 over a maximum of 20 hops

 1 48ms 48ms 48ms 200.40.18.3
 2 48ms 48ms 48ms 200.40.18.161
 3 48ms 48ms 48ms 200.40.18.166
 4 272ms 208ms 208ms 84.16.7.125
 5 208ms 208ms 208ms 176.52.251.190
 6 208ms 208ms 256ms 84.16.12.181
 7 208ms 208ms 208ms 94.142.124.65
 8 272ms 272ms 288ms 213.140.38.158
 9 288ms 288ms 288ms 195.22.210.37
10 288ms 304ms 288ms 195.22.199.5
11 288ms 288ms 288ms 195.22.199.210
12 400ms 400ms 400ms 200.143.254.233
13 400ms 400ms 400ms 200.143.255.154
14 400ms 416ms 400ms 200.143.255.154
15 400ms 416ms 400ms 200.19.74.158
16 400ms 416ms 528ms 200.236.31.4

Trace complete.

In previous tests ANTEL sends my connection from Uruguay directly to miami,
now seems to be sending it to spain? 4 272ms 208ms 208ms 84.16.7.125
http://84.16.7.125.ipaddress.com/

then to france? 195.22.210.37 http://195.22.210.37.ipaddress.com/

and later to Brazil

It is a very bad route to Brazil, but in all my previous test I saw
something similar (but going to miami first).
Something that I'm sure: We never get good connection to servers in Brazil
and actual uy.archive.ubuntu.com mirror is working very very bad.

At least connection to Argonne National Laboratory is working very very
better in updates, downloads, etc. (On all connections and computers that I
have tried it, more than 10)

----------------------------------

Look at tracert to 146.137.96.7:

*
Tracing route to 146.137.96.7 over a maximum of 20 hops

 1 64ms 48ms 48ms 200.40.18.3
 2 48ms 48ms 48ms 200.40.18.161
 3 176ms 176ms 208ms 200.40.16.209
 4 192ms 176ms 192ms 200.40.16.178
 5 192ms 192ms 176ms 198.32.124.176
 6 208ms 192ms 192ms 72.52.92.53
 7 208ms 208ms 208ms 184.105.213.109
 8 208ms 208ms 368ms 216.66.70.18
 ...

Read more...

summary: Uy ubuntu mirror is not in Uruguay is in Brazil and DNS should be
- changed urgently to miami.
+ changed urgently.
jefferson (silva21mb) on 2018-08-03
Changed in update-manager (Ubuntu):
status: In Progress → Incomplete
status: Incomplete → Fix Committed
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers